Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.commons.net.pop3
Class POP3Command

    java.lang.Object
      org.apache.commons.net.pop3.POP3Command

    public final class POP3Command

extends Object

POP3Command stores POP3 command code constants.

Field Summary
`static int` | `APOP` Authorization.
`static int` | `AUTH` Authentication
`static int` | `CAPA` The capabilities command.
`static int` | `DELE` Delete message(s).
`static int` | `LIST` List message(s).
`static int` | `NOOP` No operation.
`static int` | `PASS` Send password.
`static int` | `QUIT` Quit session.
`static int` | `RETR` Retrieve message(s).
`static int` | `RSET` Reset session.
`static int` | `STAT` Get status.
`static int` | `TOP` Retrieve top number lines from message.
`static int` | `UIDL` List unique message identifier(s).
`static int` | `USER` Send user name.

Method Summary
`static String` | `getCommand(int command)` Get the POP3 protocol string command corresponding to a command code.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### USER

    public static final int USER

  Send user name.

  See Also:
    Constant Field Values

### PASS

    public static final int PASS

  Send password.

  See Also:
    Constant Field Values

### QUIT

    public static final int QUIT

  Quit session.

  See Also:
    Constant Field Values

### STAT

    public static final int STAT

  Get status.

  See Also:
    Constant Field Values

### LIST

    public static final int LIST

  List message(s).

  See Also:
    Constant Field Values

### RETR

    public static final int RETR

  Retrieve message(s).

  See Also:
    Constant Field Values

### DELE

    public static final int DELE

  Delete message(s).

  See Also:
    Constant Field Values

### NOOP

    public static final int NOOP

  No operation. Used as a session keepalive.

  See Also:
    Constant Field Values

### RSET

    public static final int RSET

  Reset session.

  See Also:
    Constant Field Values

### APOP

    public static final int APOP

  Authorization.

  See Also:
    Constant Field Values

### TOP

    public static final int TOP

  Retrieve top number lines from message.

  See Also:
    Constant Field Values

### UIDL

    public static final int UIDL

  List unique message identifier(s).

  See Also:
    Constant Field Values

### CAPA

    public static final int CAPA

  The capabilities command.

  Since:
    3.0
  See Also:
    Constant Field Values

### AUTH

    public static final int AUTH

  Authentication

  Since:
    3.0
  See Also:
    Constant Field Values

Method Detail

### getCommand

    public static final String getCommand(int command)

  Get the POP3 protocol string command corresponding to a command code.

  Returns:
    The POP3 protocol string command corresponding to a command code.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2012 The Apache Software Foundation. All Rights Reserved.